<?php
/*

# ------------------------------------------------------------------------
# JA Fagus template for joomla 1.5
# ------------------------------------------------------------------------
# Copyright (C) 2004-2010 JoomlArt.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2. CSS / JS are Copyrighted Commercial,
# bound by Proprietary License of JoomlArt. For details on licensing, 
# Please Read Terms of Use at http://www.joomlart.com/terms_of_use.html.
# Author: JoomlArt.com
# Websites:  http://www.joomlart.com -  http://www.joomlancers.com
# Redistribution, Modification or Re-licensing of this file in part of full, 
# is bound by the License applied. 
# ------------------------------------------------------------------------

*/

defined( '_JEXEC' ) or die( 'Restricted access' );
defined( 'DS') || define( 'DS', DIRECTORY_SEPARATOR );
include_once (dirname(__FILE__).DS.'/ja_vars.php');
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<jdoc:include type="head" />
<?php JHTML::_('behavior.mootools'); ?>
<meta http-equiv="Content-Style-Type" content="text/css" />
<link rel="stylesheet" href="<?php echo $tmpTools->baseurl(); ?>templates/system/css/system.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $tmpTools->baseurl(); ?>templates/system/css/general.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $tmpTools->templateurl(); ?>/css/editor.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $tmpTools->templateurl(); ?>/css/template.css" type="text/css" />
<link href="<?php echo $tmpTools->templateurl(); ?>/mootabs/mootabs1.2.css" rel="stylesheet" type="text/css" />

<script language="javascript" type="text/javascript" src="<?php echo $tmpTools->templateurl(); ?>/scripts/ja.script.js"></script>

<?php $tmpTools->genMenuHead(); ?>

<link href="<?php echo $tmpTools->templateurl(); ?>/css/colors/<?php echo $tmpTools->getParam(JA_TOOL_COLOR); ?>.css" rel="stylesheet" type="text/css" />

<!--[if lte IE 6]>
<style type="text/css">
.clearfix {height: 1%;}
img, H3 {
	background-position: -1000px;
	behavior: url("<?php echo $tmpTools->templateurl(); ?>/scripts/iepngfix.htc");
}

h1.logo a, #ja-search {
	background-position: -1000px;
}

h1.logo a {
	cursor: pointer;
}
</style>
<![endif]-->

<!--[if gte IE 7.0]>
<style type="text/css">
.clearfix {display: inline-block;}
</style>
<![endif]-->

<!--Mootabs script load-->
<script type="text/javascript" charset="utf-8">
/*<![CDATA[*/
document.write ('<style type="text\/css">#ja-tabswrap .moduletable {display: none;}<\/style>');
/*]]>*/
</script>

<?php if ($tmpTools->isIE6()) {
$s = '';
if ($tmpTools->getParam(JA_TOOL_SCREEN) == 'narrow') $s = '-n';
?>
<script type="text/javascript">
window.addEvent ('domready', makeTransBG);
function makeTransBG() {
	makeTransBg($('ja-mainnav'), '<?php echo $tmpTools->templateurl(); ?>/images/mainnav-bg<?php echo $s;?>.png')
	makeTransBg($E('#ja-topsl .ja-newflash'), '<?php echo $tmpTools->templateurl(); ?>/images/topimg.png')
	makeTransBg($E('#ja-topsl'), '<?php echo $tmpTools->templateurl(); ?>/images/topsl-bg<?php echo $s;?>.png')
}
</script>
<?php } ?>

<!--[if gt IE 7]>
<link href="<?php echo $tmpTools->templateurl(); ?>/css/ie8.css" rel="stylesheet" type="text/css" />
<![endif]-->

</head>

<body id="bd" class="<?php echo $tmpTools->getParam(JA_TOOL_SCREEN);?> fs<?php echo $tmpTools->getParam(JA_TOOL_FONT);?>">
<a name="Top" id="Top"></a>

<ul class="accessibility">
	<li><a href="#ja-content" title="<?php echo JText::_("Skip to content");?>"><?php echo JText::_("Skip to content");?></a></li>
	<li><a href="#ja-mainnav" title="<?php echo JText::_("Skip to main navigation");?>"><?php echo JText::_("Skip to main navigation");?></a></li>
	<li><a href="#ja-col1" title="<?php echo JText::_("Skip to 1st column");?>"><?php echo JText::_("Skip to 1st column");?></a></li>
	<li><a href="#ja-col2" title="<?php echo JText::_("Skip to 2nd column");?>"><?php echo JText::_("Skip to 2nd column");?></a></li>
</ul>

<!-- BEGIN: HEADER -->
<div id="ja-headerwrap">
<div id="ja-header">

	<h1 class="logo"><a href="index.php" title="<?php echo $tmpTools->sitename(); ?>" class="ja-transbg"><?php echo $tmpTools->sitename(); ?></a></h1>

	<?php if ($this->countModules('user4')) { ?>
  <div id="ja-search" class="ja-transbg">
    <jdoc:include type="modules" name="user4"/>
  </div>
	<?php } ?>

	<!-- BEGIN: MAIN NAVIGATION -->
	<div id="ja-mainnav" <?php $tmpTools->noBG4IE6();?>>
	<?php
		//Gen menu for CSS, MOO
		//Gen first level menu for Split, Dropline
		$jamenu->genMenu (0);
		?>
	</div>
	<!-- END: MAIN NAVIGATION -->

</div>
</div>
<!-- END: HEADER -->

<!-- BEGIN: TOP SPOTLIGHT -->
<div id="ja-topslwrap">
<div id="ja-topsl" <?php $tmpTools->noBG4IE6();?>>
	<div class="ja-newflash" <?php $tmpTools->noBG4IE6();?>>
	<jdoc:include type="modules" name="top" style="xhtml" />
	</div>
</div>
</div>
<!-- END: TOP SPOTLIGHT -->

<div id="ja-pathwaywrap">
	<div id="ja-pathway">
	<strong>You are here:</strong>
	<jdoc:include type="module" name="breadcrumbs" />
	</div>
	<?php if ($tmpTools->getParam(JA_TOOL_USER) & 3) { ?>
  <div id="ja-usertoolswrap">
  <div id="ja-usertools" class="clearfix">
  	<?php $tmpTools->genToolMenu($tmpTools->getParam(JA_TOOL_USER) & 7, 'gif'); ?>
  </div></div>
  <?php } ?>
</div>

<div id="ja-containerwrap<?php echo $divid ?>">
	<div id="ja-container" class="clearfix">

		<!-- BEGIN: CONTENT -->
		<div id="ja-content">
		<div id="ja-content-top">
		<div id="ja-content-bot">
		<div class="ja-innerpad clearfix">
		  <jdoc:include type="component" />
		</div></div></div></div>
		<!-- END: CONTENT -->

		<?php if ($ja_left || $ja_right || $ja_masscol) { ?>
		<!-- BEGIN: COLUMNS -->
		<div id="ja-colwrap">

			<?php if ($ja_left) { ?>
			<div id="ja-col1"><div class="ja-innerpad">
				<jdoc:include type="modules" name="left" style="rounded" />
			</div></div>
			<?php } ?>

			<?php if ($ja_right) { ?>
			<div id="ja-col2"><div class="ja-innerpad">
				<?php if ($hasSubnav) {?>
				<div id="ja-subnav" class="module">
					<div><div><div>
					<h3>On This Page</h3>
					<?php $jamenu->genMenu (1,1);	?>
					</div></div></div>
				</div>
				<?php } ?>
				<jdoc:include type="modules" name="right" style="rounded" />
			</div></div>
			<?php } ?>

			<!-- BEGIN: MASSCOL -->
			<?php  if ( $ja_masscol) { ?>
			<div id="ja-masscol" class="clearfix">
				<?php if ($this->countModules('user5')) { ?>
				<script language="javascript" type="text/javascript" src="<?php echo $tmpTools->templateurl(); ?>/mootabs/mootabs1.2.js"></script>
				<script type="text/javascript">
					window.addEvent('domready', initmootabs);
					function initmootabs() {
						myTabs1 = new jamootabs('ja-tabswrap-bot', {
							<?php echo $ja_mootabs_options; ?>
						});
					}
				</script>
				<div id="ja-tabswrap" class="clearfix">
				<div id="ja-tabswrap-top">
				<div id="ja-tabswrap-bot">
				<div class="ja-tab-panels">
					<jdoc:include type="modules" name="user5" style="xhtml" />
				</div>
				</div></div></div>
				<?php } ?>
			</div>
			<?php } ?>
			<!-- END: MASSCOL -->

		</div><br />
		<!-- END: COLUMNS -->
		<?php } ?>
	</div>
</div>

<?php
	$spotlight1 = array ('user1','user2');
	$botsl1 = $tmpTools->calSpotlight ($spotlight1, $this->countModules('user6')?55:100);
	if( $botsl1 || $this->countModules('user6')) {
?>
<!-- BEGIN: BOTTOM SPOTLIGHT -->
<div id="ja-botslwrap">
	<div id="ja-botsl" class="clearfix">

	  <?php if( $this->countModules('user6') ) {?>
	  <div class="ja-box-leftcol" style="width: <?php echo $botsl1?44.9:100;?>%;">
	    <jdoc:include type="modules" name="user6" style="xhtml" />
	  </div>
	  <?php } ?>

	  <?php if( $this->countModules('user1') ) {?>
	  <div class="ja-box<?php echo $botsl1['user1']['class']; ?>" style="width: <?php echo $botsl1['user1']['width']; ?>;">
	    <jdoc:include type="modules" name="user1" style="xhtml" />
	  </div>
	  <?php } ?>

	  <?php if( $this->countModules('user2') ) {?>
	  <div class="ja-box<?php echo $botsl1['user2']['class']; ?>" style="width: <?php echo $botsl1['user2']['width']; ?>;">
	    <jdoc:include type="modules" name="user2" style="xhtml" />
	  </div>
	  <?php } ?>

	</div>
</div>
<!-- END: BOTTOM SPOTLIGHT -->
<?php } ?>

<!-- BEGIN: FOOTER -->
<div id="ja-footerwrap">
<div id="ja-footer" class="clearfix">
	<jdoc:include type="modules" name="user3" />
	<div class="small">
		<jdoc:include type="module" name="footer" />
	</div>
	<?php include (dirname(__FILE__).DS.'/footer.php');?>	
	<?php if ( $this->countModules('banner') ) { ?>
	<div id="ja-banner">
		<jdoc:include type="modules" name="banner" />
	</div>
	<?php } ?>

</div>
</div>
<!-- END: FOOTER -->

<jdoc:include type="modules" name="debug" />
</body>

</html>
